Module jdk.jfr
Package jdk.jfr

## Annotation Type Description

-     @Target({TYPE,FIELD,METHOD})
      @Retention(RUNTIME)
      public @interface Description

  Annotation that describes an element by using a sentence or two.

  Use sentence-style capitalization, capitalize the first letter of the first word, and any proper names such as the word Java. If the description is one sentence, a period should not be included.

  Since:
    9

- - ### Required Element Summary

    Required Elements
    Modifier and Type | Required Element | Description
    --- | --- | ---
    `String` | `value` | Returns a sentence or two that describes the annotated element.

- - ### Element Detail

    - #### value

          String value

      Returns a sentence or two that describes the annotated element.
      Returns:
        a description, not `null`